Ubuntu

ubuntuone-syncdaemon running although I have no account

Reported by Brian Murray on 2011-03-29
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Ubuntu One Client
Medium
Natalia Bidart
Ubuntu One Control Panel
Medium
Natalia Bidart
ubuntuone-control-panel (Ubuntu)
Medium
Rodney Dawes
Natty
Medium
Rodney Dawes

Bug Description

Binary package hint: ubuntuone-client

I was looking at powertop output and noticed ubuntuone-syncdaemon is running and was surprised because I haven't setup my ubuntuone account on this system. Is there any reason to run the syncdaemon for people who don't have accounts/

Top causes for wakeups:
  30.8% ( 98.0) [ahci] <interrupt>
  19.0% ( 60.5) [i915] <interrupt>
   6.5% ( 20.6)D firefox-bin
  12.9% ( 41.2) [iwlagn] <interrupt>
  10.1% ( 32.1) PS/2 keyboard/mouse/touchpad interrupt
   4.2% ( 13.5) [kernel scheduler] Load balancing tick
   3.5% ( 11.2) kworker/0:0
   3.1% ( 9.9) ubuntuone-syncd

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: ubuntuone-client 1.5.8-0ubuntu2
ProcVersionSignature: Ubuntu 2.6.38-7.39-generic 2.6.38
Uname: Linux 2.6.38-7-generic x86_64
Architecture: amd64
Date: Mon Mar 28 21:21:15 2011
EcryptfsInUse: Yes
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release amd64 (20101007)
ProcEnviron:
 LANGUAGE=en_US:en
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: ubuntuone-client
UbuntuOneSyncdaemonExceptionsLog:
 2011-03-28 16:08:22,834 - twisted - ERROR - Unhandled error in Deferred:
 2011-03-28 16:08:22,835 - twisted - ERROR - Unhandled Error
 Traceback (most recent call last):
 Failure: ubuntuone.platform.linux.dbus_interface.NoAccessToken: CredentialsNotFound
UpgradeStatus: Upgraded to natty on 2011-03-27 (1 days ago)

Related branches

lp:~nataliabidart/ubuntuone-control-panel/dont-start-syncdaemon
Merged into lp:ubuntuone-control-panel at revision 136
Shane Fagan (community): Approve on 2011-04-13
Roman Yepishev (community): Approve (fieldtest) on 2011-04-13
Brian Murray (brian-murray) wrote :
Roman Yepishev (rye) wrote :

Hello Brian,

The startup script for ubuntuone-syncdaemon is checking for existence of Ubuntu One folder in your home directory. In case this folder exists then ubuntuone-syncaemon is started. Could you please confirm that you have this directory. In case you don't then it means that syncdaemon is autostarted by dbus by some other application.

Changed in ubuntuone-client (Ubuntu):
assignee: nobody → Roman Yepishev (rye)
status: New → Incomplete
Brian Murray (brian-murray) wrote :

I tested this on a virtual machine that was freshly installed and discovered that just opening the Ubuntu One control panel creates the Ubuntu One folder. I'd have thought the folder would only be created if I clicked 'Join now' or 'I already have an account'.

Roman Yepishev (rye) wrote :

Confirming.

Launching ubuntuone-control-panel-gtk immediately starts ubuntuone-syncdaemon which in turn will create Ubuntu One folder.
Can be easily reproduced by creating a new user on current machine, log into it, confirm that no Ubuntu One folder is present and then launch ubuntuone-control-panel-gtk. Ubuntu One folder will be created, syncdaemon will be started.

The presence of Ubuntu One folder causes ubuntuone-launcher to run syncdaemon on every startup.

Changed in ubuntuone-client (Ubuntu):
status: Incomplete → Confirmed
assignee: Roman Yepishev (rye) → Naty Bidart (nataliabidart)
importance: Undecided → Medium
Changed in ubuntuone-client:
assignee: nobody → Naty Bidart (nataliabidart)
importance: Undecided → Medium
status: New → Confirmed
Changed in ubuntuone-control-panel:
status: New → In Progress
importance: Undecided → Medium
assignee: nobody → Naty Bidart (nataliabidart)
Changed in ubuntuone-client (Ubuntu):
status: Confirmed → Triaged
milestone: none → ubuntu-11.04
Changed in ubuntuone-client:
status: Confirmed → Invalid
Changed in ubuntuone-control-panel:
status: In Progress → Fix Committed
Rodney Dawes (dobey) on 2011-04-15
Changed in ubuntuone-client (Ubuntu):
assignee: Naty Bidart (nataliabidart) → Rodney Dawes (dobey)
status: Triaged → In Progress
affects: ubuntuone-client (Ubuntu Natty) → ubuntuone-control-panel (Ubuntu Natty)
Changed in ubuntuone-control-panel:
milestone: none → 0.10.0
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntuone-control-panel - 0.10.0-0ubuntu1

---------------
ubuntuone-control-panel (0.10.0-0ubuntu1) natty; urgency=low

  * New upstream release.
    - ubuntuone-syncdaemon running without account (LP: #744731)
 -- Rodney Dawes <email address hidden> Fri, 15 Apr 2011 17:23:44 -0400

Changed in ubuntuone-control-panel (Ubuntu Natty):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers